Bug 217331 - /var/cache/man/... is being stored in a locale-dependent fashion
/var/cache/man/... is being stored in a locale-dependent fashion
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: man (Show other bugs)
6
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ivana Varekova
Ben Levenson
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-11-26 22:53 EST by Peter Backes
Modified: 2008-08-02 19:40 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-06 12:57:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
man.config (4.51 KB, application/octet-stream)
2006-12-14 12:23 EST, Peter Backes
no flags Details

  None (edit)
Description Peter Backes 2006-11-26 22:53:48 EST
Description of problem:
man seems to save formatted manual pages, which it caches in /var/cache/man, in
the character set of the current locale instead of using UTF-8. This causes
problems if some user with locale A formats a manual page and subsequently a
different user with locale B wants to display the same page without using the 
-c switch to man.

Version-Release number of selected component (if applicable):
man-1.6d-1.1

How reproducible:
always

Steps to Reproduce:
# echo $LANG
en_US.UTF-8
# man -c ls
Formatting page, please wait...
q
# bzcat /var/cache/man/cat1/ls.1.bz2 > ls.a
# LANG=en_US.ISO8859-1
# man -c ls
Formatting page, please wait...
q
# bzcat /var/cache/man/cat1/ls.1.bz2 > ls.b
# diff ls.a ls.b

Actual results:
ls.a was saved in UTF-8, ls.b was saved in ISO8859-1

Expected results:
both should have been saved in UTF-8, and been converted (if necessary) to the
locale on the fly only on displaying them.
Comment 1 Ivana Varekova 2006-12-14 10:04:51 EST
Could you please attach your configure file (/etc/man.config)? 
Comment 2 Peter Backes 2006-12-14 12:23:50 EST
Created attachment 143664 [details]
man.config
Comment 3 Till Maas 2008-01-05 20:25:14 EST
When I tried to reproduce this bug on Fedora 7 I noticed that 
- /var/cache/man/cat1/ is always empty 
- the "-c" switch is not documented in man man or man --help

Can you still (with Fedora 7 or 8) reproduce this bug?
Comment 4 Bug Zapper 2008-04-04 00:57:42 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 5 Bug Zapper 2008-05-06 12:57:47 EDT
This bug is open for a Fedora version that is no longer maintained and
will not be fixed by Fedora. Therefore we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen thus bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.